<?php
// $Id: preprocess.inc,v 1.1.2.1 2010/07/18 23:25:43 danieldembach Exp $

/**
 * @file
 * Preprocess functions.
 */


/**
 * Implementation of hook_preprocess_block().
 */
function hi5_preprocess_block(&$variables) {
  $variables['attributes'] = array();
  $variables['attributes']['id'] = "block-{$variables['block']->module}-{$variables['block']->delta}";
  $variables['attributes']['class'] = "block block-{$variables['block']->module}";
  $variables['element'] = 'div';
  $variables['title'] = !empty($variables['block']->subject) ? $variables['block']->subject : '';
  $variables['content'] = $variables['block']->content;
}


/**
 * Implementation of hook_preprocess_box().
 */
function hi5_preprocess_box(&$variables) {
  $variables['attributes'] = array('class' => 'box');
  $variables['element'] = 'div';
}


/**
 * Implementation of hook_preprocess_comment().
 */
function hi5_preprocess_comment(&$variables) {
  $variables['attributes'] = array('class' => 'comment');
  $variables['element'] = 'article';
}


/**
 * Implementation of hook_preprocess_maintenance_page().
 */
function hi5_preprocess_maintenance_page(&$variables) {
  hi5_preprocess_page($variables);

  $variables['breadcrumb'] =
  $variables['primary_links'] =
  $variables['secondary_links'] =
  $variables['tabs'] = NULL;
}


/**
 * Implementation of hook_preprocess_node().
 */
function hi5_preprocess_node(&$variables) {
  $variables['attributes'] = array();
  $variables['attributes']['id'] = "node-{$variables['node']->nid}";
  $variables['attributes']['class'] = "node node-{$variables['node']->type}";
  $variables['element'] = 'article';
}


/**
 * Implementation of hook_preprocess_page().
 */
function hi5_preprocess_page(&$variables) {
  global $theme_key;

  $variables['attributes'] = array();
  $variables['attributes']['class'] = $variables['body_classes'];
  $variables['attributes']['class'] .= ' '. $theme_key;

  // Remove duplicate content-type header -- see http://drupal.org/node/451304
  $variables['headers'] = preg_replace('/<meta http-equiv=\"Content-Type\"[^>]*>\n/', '', $variables['head']);

  // Add links to external assets
  $variables['assets'] = _hi5_assets($theme_key);

  // Get minimal styles
  $variables['styles'] = _hi5_styles($theme_key);
}
